Bug 1663067 - libopusenc 0.2.1 is available
Summary: libopusenc 0.2.1 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libopusenc
Version: 29
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-03 02:05 UTC by Ryan Farmer
Modified: 2019-01-07 13:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-07 13:49:34 UTC


Attachments (Terms of Use)

Description Ryan Farmer 2019-01-03 02:05:18 UTC
Description of problem:

libopusenc 0.2.1 is available. 

The version in Fedora is 0.2.

0.2.1 fixes a couple of bugs and I noticed that Fedora has the older version when I was using foobar2000 in Wine to batch transcode some files and noticed that the output on some of them was slightly different. 

Presumably the "gapless bug in the LPC filtering" patch is why the newer version in the foobar2000 encoder produced a 1 byte variance occasionally in some of the files I've compared so far, but that's just a guess.

Anyway, the latest version of libopusenc is probably the correct behavior. 

https://opus-codec.org/release/dev/2018/10/09/libopusenc-0_2_1.html


Note You need to log in before you can comment on or make changes to this bug.